Package ghidra.rmi.trace

# Interface TraceRmi.RequestGetValuesOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.RequestGetValues`, `TraceRmi.RequestGetValues.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.RequestGetValuesOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TraceRmi.DomObjId`
  `getOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.DomObjIdOrBuilder`
  `getOidOrBuilder()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `TraceRmi.ObjPath`
  `getPattern()`
  `.ghidra.rmi.trace.ObjPath pattern = 3;`
  `TraceRmi.ObjPathOrBuilder`
  `getPatternOrBuilder()`
  `.ghidra.rmi.trace.ObjPath pattern = 3;`
  `TraceRmi.Span`
  `getSpan()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.SpanOrBuilder`
  `getSpanOrBuilder()`
  `.ghidra.rmi.trace.Span span = 2;`
  `boolean`
  `hasOid()`
  `.ghidra.rmi.trace.DomObjId oid = 1;`
  `boolean`
  `hasPattern()`
  `.ghidra.rmi.trace.ObjPath pattern = 3;`
  `boolean`
  `hasSpan()`
  `.ghidra.rmi.trace.Span span = 2;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasOid

    boolean hasOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      Whether the oid field is set.

  - ### getOid

    TraceRmi.DomObjId getOid()
    `.ghidra.rmi.trace.DomObjId oid = 1;`
    Returns:
      The oid.

  - ### getOidOrBuilder

    TraceRmi.DomObjIdOrBuilder getOidOrBuilder()
    `.ghidra.rmi.trace.DomObjId oid = 1;`

  - ### hasSpan

    boolean hasSpan()
    `.ghidra.rmi.trace.Span span = 2;`
    Returns:
      Whether the span field is set.

  - ### getSpan

    TraceRmi.Span getSpan()
    `.ghidra.rmi.trace.Span span = 2;`
    Returns:
      The span.

  - ### getSpanOrBuilder

    TraceRmi.SpanOrBuilder getSpanOrBuilder()
    `.ghidra.rmi.trace.Span span = 2;`

  - ### hasPattern

    boolean hasPattern()
    `.ghidra.rmi.trace.ObjPath pattern = 3;`
    Returns:
      Whether the pattern field is set.

  - ### getPattern

    TraceRmi.ObjPath getPattern()
    `.ghidra.rmi.trace.ObjPath pattern = 3;`
    Returns:
      The pattern.

  - ### getPatternOrBuilder

    TraceRmi.ObjPathOrBuilder getPatternOrBuilder()
    `.ghidra.rmi.trace.ObjPath pattern = 3;`